Skip to content

Update Phoneme

PUT
/api/creative/conlang/phonemes/{phoneme_id}

Update a phoneme.

phoneme_id
required
Phoneme Id
string
PhonemeUpdate

Request to update a phoneme.

object
symbol
Any of:
string
>= 1 characters <= 10 characters
type
Any of:
PhonemeType
string
Allowed values: consonant vowel
manner
Any of:
ConsonantManner
string
Allowed values: plosive fricative nasal approximant trill affricate lateral tap
place
Any of:
ConsonantPlace
string
Allowed values: bilabial labiodental dental alveolar postalveolar retroflex palatal velar uvular glottal
voicing
Any of:
Voicing
string
Allowed values: voiced voiceless
height
Any of:
VowelHeight
string
Allowed values: close near_close close_mid mid open_mid near_open open
backness
Any of:
VowelBackness
string
Allowed values: front near_front central near_back back
roundedness
Any of:
Roundedness
string
Allowed values: rounded unrounded
isDiphthong
Any of:
boolean
romanization
Any of:
string
<= 20 characters
notes
Any of:
string
sortOrder
Any of:
integer

Successful Response

PhonemeResponse

Phoneme record for API responses.

object
id
required
Id
string
languageId
required
Languageid
string
symbol
required
Symbol
string
type
required
Type
string
manner
Any of:
string
place
Any of:
string
voicing
Any of:
string
height
Any of:
string
backness
Any of:
string
roundedness
Any of:
string
isDiphthong
Isdiphthong
boolean
romanization
Any of:
string
notes
Notes
string
""
sortOrder
Sortorder
integer
0

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object